Loading...
Searching...
No Matches
Dune::Amg::ParallelIndicesCoarsener< T, E > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/indicescoarsener.hh>`

Inheritance diagram for Dune::Amg::ParallelIndicesCoarsener< T, E >:

## Public Types

typedef E | ExcludedAttributes
| The set of excluded attributes.
typedef T | ParallelInformation
| The type of the parallel information.
typedef ParallelInformation::ParallelIndexSet | ParallelIndexSet
typedef ParallelIndexSet::GlobalIndex | GlobalIndex
| The type of the global index.
typedef ParallelIndexSet::LocalIndex | LocalIndex
| The type of the local index.
typedef LocalIndex::Attribute | Attribute
| The type of the attribute.
typedef Dune::RemoteIndices< ParallelIndexSet > | RemoteIndices
| The type of the remote indices.

## Static Public Member Functions

template<typename Graph, typename VM>
static Graph::VertexDescriptor | coarsen (ParallelInformation &fineInfo, Graph &fineGraph, VM &visitedMap, AggregatesMap< typename Graph::VertexDescriptor > &aggregates, ParallelInformation &coarseInfo, typename Graph::VertexDescriptor noAggregates, bool useFixedOrder=false)
| Build the coarse index set after the aggregatio.

The documentation for this class was generated from the following file:

- indicescoarsener.hh